MWAWSection::Column Struct Reference

struct to store the columns properties More...

`#include <MWAWSection.hxx>`

## Public Member Functions

| Column ()
| constructor More...
bool | addTo (WPXPropertyList &propList) const
| add a column to the propList More...
bool | operator!= (Column const &col) const
| operator!= More...
bool | operator== (Column const &col) const
| operator== More...

## Public Attributes

double | m_width
| the columns width More...
WPXUnit | m_widthUnit
| the width unit (default inches) More...
double | m_margins [4]
| the margins in inches using libmwaw::Position orders More...

## Friends

std::ostream & | operator<< (std::ostream &o, Column const &column)
| operator << More...

## Detailed Description

struct to store the columns properties

## Constructor & Destructor Documentation

MWAWSection::Column::Column | ( |  | ) |

inline

constructor

## Member Function Documentation

bool MWAWSection::Column::addTo | ( | WPXPropertyList & | propList | ) | const

add a column to the propList

bool MWAWSection::Column::operator!= | ( | Column const & | col | ) | const

inline

operator!=

Referenced by operator==().

bool MWAWSection::Column::operator== | ( | Column const & | col | ) | const

inline

operator==

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWSection::Column const & | col
| ) |  |

friend

operator <<

## Member Data Documentation

double MWAWSection::Column::m_margins[4]

the margins in inches using libmwaw::Position orders

Referenced by addTo(), Column(), MSWStruct::Section::getSection(), FWTextInternal::PageInfo::getSection(), operator!=(), operator<<(), MRWParser::readZoneDim(), and MWAWSection::setColumns().

double MWAWSection::Column::m_width

the columns width

Referenced by addTo(), WPParser::findSection(), MSWStruct::Section::getSection(), FWTextInternal::PageInfo::getSection(), operator!=(), operator<<(), MRWParser::readZoneDim(), and MWAWSection::setColumns().

WPXUnit MWAWSection::Column::m_widthUnit

the width unit (default inches)

Referenced by addTo(), WPParser::findSection(), MSWStruct::Section::getSection(), FWTextInternal::PageInfo::getSection(), operator!=(), MRWParser::readZoneDim(), and MWAWSection::setColumns().

The documentation for this struct was generated from the following files:

- MWAWSection.hxx
- MWAWSection.cxx